import { request } from '/@/utils/service';
import { UserPageQuery, AddReq, DelReq, EditReq, InfoReq } from '@fast-crud/fast-crud';

export const apiPrefix = '/api/ad_manage/sbgroupdetail/keywords/';
export function GetList(query: UserPageQuery) {
    return request({
        url: apiPrefix + 'list/',
        method: 'get',
        params: query,
    })
}

export function getCardData(query: UserPageQuery) {
    return request({
        url: apiPrefix + "total/",
        method: 'GET',
        params: query
    })
}

export function getLineData(query: UserPageQuery) {
    query["dateRangeType"] = "D"
    return request({
        url: apiPrefix + "daily/",
        method: 'GET',
        params: query
    })
}
